be.ehealth.technicalconnector.utils

## Class CertificateParser

- java.lang.Object
- - be.ehealth.technicalconnector.utils.CertificateParser

-     public class CertificateParser
      extends Object

  The Class CertificateParser.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateParser(String subject)` Instantiates a new certificate parser.
    `CertificateParser(X509Certificate cert)` Instantiates a new certificate parser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplication()` Gets the application.
    `String` | `getId()`
    `IdentifierType` | `getIdentifier()`
    `String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateParser

          public CertificateParser(X509Certificate cert)
                            throws TechnicalConnectorException

      Instantiates a new certificate parser.
      Parameters:
        `cert` - the cert
      Throws:
        `InvalidNameException`
        `TechnicalConnectorException`

    - #### CertificateParser

          public CertificateParser(String subject)
                            throws TechnicalConnectorException

      Instantiates a new certificate parser.
      Parameters:
        `subject` - the subject
      Throws:
        `InvalidNameException`
        `TechnicalConnectorException`

  - ### Method Detail

    - #### getType

          public final String getType()

    - #### getApplication

          public final String getApplication()

      Gets the application.
      Returns:
        the application

    - #### getIdentifier

          public final IdentifierType getIdentifier()

    - #### getId

          public final String getId()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.